import React from "react";
declare const withGlueInstance: <T extends {
    glue?: any;
}>(WrappedComponent: React.ComponentType<T>) => (props: T) => React.JSX.Element;
export default withGlueInstance;
